import { jsx } from "react/jsx-runtime";
import { NetworkPush as NetworkPush$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NetworkPush = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "Push", "data-name": "NetworkPush", ...props, children: /* @__PURE__ */ jsx(NetworkPush$1, { variant }) });
  }
);
NetworkPush.displayName = "NetworkPush";
Object.assign(NetworkPush, { isGdsIcon: true });
export {
  NetworkPush
};
